Subject: Re: Invoice
From: "Mike" <[email-masked]>
To: <[email-masked]>
Date: Tue, 15 Apr 2008 08:35:08 -0400

Hi Cheryl.
I am having some problems with this invoice when I open it.  The boxes are merging together and some of the dollar amounts and dates are missing.  I am not sure what is happening.  Can you see if you can re-format it and resend it to me?  
Thank you,
Mike - LLPS
  ----- Original Message ----- 
  From: Cheryl Stambaugh 
  To: [email-masked] 
  Sent: Tuesday, April 15, 2008 8:14 AM
  Subject: Invoice

  Attached is your invoice for Dec. thru March for Mike Grove.
  Please remit payment at your earliest convenience.
  Thank You,
  Cheryl Stambaugh
  Accounting Dept.